# Unzip

The **Unzip** function extracts a zip archive to a given directory.

***

## Properties

### Archive

A file path string of the zip archive to be extracted.

### Extract to

A file path string to the directory where the contents of the zip archive will be placed after extraction.

### Overwrite existing files

If selected, any files with the same name as those being extracted will be overwritten with the extracted files.

If this property is unselected, the unzipping will be stopped, and an error will be returned.

### Password

Password for the zip archive that will be extracted.

***

## Definition

If the function's processing is successful, then a list of strings containing the file paths to each extracted file will be returned in **ListOfExtractedFilePaths**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/compression/content/unzip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
